<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F048B0=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pd@F04C35=09050A00|(maincpu.pd@F04C35 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pd@F04C43=06060600|(maincpu.pd@F04C43 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>You should enable this cheat on the Press START button screen,  ie. after credits have been inserted!</comment>
    <parameter min="1" max="44" step="1"/>
    <script state="on">
      <action>maincpu.pb@F04ABF=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@F04ABF=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Next Stage">
    <parameter min="1" max="44" step="1"/>
    <script state="change">
      <action>maincpu.pb@F04ABF=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
